#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
	double p, q, r;
	long long int broj = 0, L, R;
	cin >> p >> q >> r >> L >> R;
	int Min = min(min(p, q), r), Max = max(max(p, q), r), srednji = p + q + r - Max - Min;
	 
	if ((Min == 2 && (srednji == 3 && Max == 6) || (srednji == 4 && Max == 4)) || (Min == 3 && Max == 3)) {
		if (L % Max != 0)
			L++;
		if (R % Max != 0)
			R--;
		broj = (R - L) / Max + 1;
	}

	else if (Min == 3 && (srednji > 3 || (srednji == 3 && Max > 3)) || (Min == 2 && ((srednji == 3 && Max > 5) || (srednji > 3 && Max > 3))) || Min > 3) {
		if (L < 100) {
			int n = 100;
			if (R < 100)
				n = R;
			for (; L <= n; L++) {
				if (ceil(L / p) + ceil(L / q) + ceil(L / r) <= L)
					broj++;
			}
			broj += R - n;
		}
		else {
			broj = R - L + 1;
		}
	}
	cout << broj;

	return 0;
}